Skip to main content
GET
/
api
/
users
/
{userId}
/
inboxes
List a user's email inboxes
curl --request GET \
  --url https://core-api.getaptly.com/api/users/{userId}/inboxes \
  --header 'x-token: <api-key>'
{
  "data": [
    {
      "_id": "ch_abc",
      "channelId": "acc-1",
      "type": "Hermes",
      "provider": "google",
      "email": "[email protected]",
      "name": "Alice's Inbox",
      "kind": "personal"
    },
    {
      "_id": "ch_def",
      "channelId": "acc-2",
      "type": "Hermes",
      "provider": "google",
      "email": "[email protected]",
      "name": "Leasing Team",
      "kind": "shared"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.getaptly.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-token
string
header
required

Path Parameters

userId
string
required

The user's ID.

Response

List of inboxes accessible to the user.

data
object[]